# $Revision: 1.65 $, $Date: 2012/03/25 22:21:50 $
Summary:	GNOME Partition Editor
Summary(pl.UTF-8):	Edytor partycji dla GNOME
Name:		gparted
Version:	0.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/gparted/%{name}-%{version}.tar.bz2
# Source0-md5:	63a24677ff2ef0e62408ba684f233fab
URL:		http://gparted.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtkmm-devel >= 2.16.0
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
BuildRequires:	parted-devel >= 1.7.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires:	gksu
Requires:	hicolor-icon-theme
Requires:	parted >= 1.7.1
Suggests:	btrfs-progs
Suggests:	dosfstools
Suggests:	e2fsprogs
Suggests:	hfsutils
Suggests:	jfsutils
Suggests:	lvm2
Suggests:	mdadm
Suggests:	mtools
Suggests:	nilfs-utils
Suggests:	ntfsprogs
Suggests:	reiser4progs
Suggests:	reiserfsprogs
Suggests:	xfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GParted stands for GNOME Partition Editor and is a graphical frontend
to parted. Among other features it supports creating, resizing, moving
and copying of partitions.

%description -l pl.UTF-8
GParted jest graficzną nakładką na parted. Program umożliwia między
innymi tworzenie, zmianę rozmiaru, przenoszenie i kopiowanie partycji.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GKSUPROG=/usr/bin/gksu
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/gparted
%attr(755,root,root) %{_sbindir}/gpartedbin
%{_desktopdir}/gparted.desktop
%{_mandir}/man8/gparted.8*
%{_iconsdir}/*/*/*/gparted.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gparted.spec,v $
Revision 1.65  2012/03/25 22:21:50  megabajt
- updated to 0.12.0

Revision 1.64  2012/03/06 20:57:58  kiesiu
- rel. 2 for parted-3.1

Revision 1.63  2011/08/26 07:01:53  wiget
- up to 0.9.0

Revision 1.62  2011/05/24 09:50:57  lisu
- updated to 0.8.1

Revision 1.61  2011/03/12 20:39:01  arekm
- release 2

Revision 1.60  2011/02/27 21:57:54  baggins
- rel 1

Revision 1.59  2011/02/27 21:49:49  baggins
- drop autocrap regeneration

Revision 1.58  2011/02/27 21:47:09  baggins
- 0.8.0
- drop R:hal, the only thing used is hal-lock program
  iff it's present and hal daemon is running,
  gparted works perfectly fine without HAL

Revision 1.57  2011/02/27 07:55:08  arekm
- release 2

Revision 1.56  2010/12/14 00:36:49  dirdival
- updated to 0.7.1

Revision 1.55  2010/11/01 16:48:21  dirdival
- updated to 0.7.0

Revision 1.54  2010/10/02 21:48:16  dirdival
-updated to 0.6.4

Revision 1.53  2010/09/24 19:24:51  dirdival
- updated to 0.6.3

Revision 1.52  2010/08/03 10:38:24  lisu
- 0.6.2

Revision 1.51  2010/07/09 09:26:02  dirdival
- gparted 0.6.1

Revision 1.50  2010/06/22 18:12:02  dirdival
- updated to 0.6.0

Revision 1.49  2010/06/15 08:58:46  hawk
- release 2

Revision 1.48  2010/03/09 10:43:38  lisu
- up to 0.5.2

Revision 1.47  2010/01/25 22:59:05  dirdival
- updated to 0.5.1

Revision 1.46  2009/12/04 02:28:12  sparky
- BR: docbook-dtd412-xml, gnome-doc-utils, libxml2-progs

Revision 1.45  2009/12/04 01:52:37  dirdival
- updated to 0.5.0

Revision 1.44  2009/11/03 09:45:05  lisu
- up to 0.4.8 (thanks to Krzysztof Golinski <krzysztof.golinski (at) gmail.com>)
- remove desktop.patch

Revision 1.43  2009/10/16 08:58:32  qwiat
- up to 0.4.7

Revision 1.42  2009/08/29 06:45:30  arekm
- release 2

Revision 1.41  2009/05/09 22:29:05  adamg
- updated to 0.4.5

Revision 1.40  2009/04/05 20:53:50  adamg
- updated to 0.4.4

Revision 1.39  2009/02/21 22:19:20  gotar
- S: mtools

Revision 1.38  2009/02/12 19:41:43  qwiat
- up to 0.4.3

Revision 1.37  2009/02/08 00:14:52  adamg
- updated to 0.4.2

Revision 1.36  2008/11/29 23:47:40  adamg
- updated to 0.4.0

Revision 1.35  2008/09/16 16:13:39  megabajt
- updated to 0.3.9

Revision 1.34  2008/07/17 13:33:38  megabajt
- updated to 0.3.8

Revision 1.33  2008-04-29 18:11:00  megabajt
- updated to 0.3.7
- more verbose files
- suggests optional utilities

Revision 1.32  2007-08-27 20:57:19  megabajt
- added %{__intltoolize}
- release 6

Revision 1.31  2007/08/27 18:00:06  wolf
- rel 5

Revision 1.30  2007/06/15 19:01:50  wolf
- rel 4

Revision 1.29  2007/04/17 21:50:05  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 3

Revision 1.28  2007/03/01 17:46:35  wolf
- rel 2

Revision 1.27  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.25  2006/12/08 17:31:00  wolf
- 0.3.3

Revision 1.24  2006/11/24 14:03:23  glen
- rel 3

Revision 1.23  2006/08/23 17:20:14  wolf
- rel 2

Revision 1.22  2006/05/15 22:27:11  charles
- BR: gettext-devel

Revision 1.21  2006/05/15 21:42:40  freetz
- 0.2.5

Revision 1.20  2006/04/14 15:19:12  freetz
- 0.2.4

Revision 1.19  2006/03/28 17:31:57  freetz
- 0.2.3

Revision 1.18  2006/03/04 17:54:48  freetz
- 0.2.2

Revision 1.17  2006/02/16 21:27:51  freetz
- 0.2.1

Revision 1.16  2006/02/01 21:01:44  dzeus
- up to 0.2

Revision 1.15  2006/01/12 22:39:11  freetz
- 0.1

Revision 1.14  2005/11/27 10:13:52  freetz
- rel.2

Revision 1.13  2005/11/25 22:51:02  freetz
- 0.0.9, icon added

Revision 1.12  2005/10/02 20:04:32  arekm
- rel .2

Revision 1.11  2005/06/27 15:52:17  freetz
- 0.0.9 pre2, %files updated

Revision 1.10  2005/06/01 20:08:07  zbyniu
- BR: intltool, libstdc++-devel

Revision 1.9  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.8  2004/12/28 01:52:57  havner
- buggy sf

Revision 1.7  2004/12/22 23:12:21  dzeus
- up to 0.0.8

Revision 1.6  2004/12/08 12:16:07  paladine
- updated to 0.0.7 STBR

Revision 1.5  2004/10/26 08:48:17  jareq
- added missing md5sum (my fault - sorry)

Revision 1.4  2004/10/26 08:46:02  jareq
- updated to 0.0.6

Revision 1.3  2004/10/01 09:06:41  paladine
- updated to 0.0.5
- added desktop patch
- now gparted is in /usr/sbin (maybe desktop file isn't a good idea?)

Revision 1.2  2004/09/06 12:55:13  grzegol
- updated to 0.0.4

Revision 1.1  2004/08/29 17:48:18  grzegol
- new
